<?php

namespace App\Models;

class BimCombine extends BaseModel
{
    protected $table = 'bim_combines';

    protected $casts = [
        'data' => 'array'
    ];

    public function library()
    {
        return $this->hasOne(Library::class, 'id', 'library_id');
    }

    public function scopeAllowed($query)
    {
        return $query->whereHas('library', function ($q) {
            return $q->allowed();
        });
    }
}
