<?php

namespace App\Services\History\Detector;

use App\Services\History\Converter\CustomFieldSelectConverter;
use App\Services\History\Converter\NamingRuleConverter;

class FoldersDetector extends DetectorAbstract
{
    public static function fields(): array
    {
        return [
            'name',
            'naming_rules',
        ];
    }

    public static function diffFields(): array
    {
        return [
            'name',
            'naming_rules',
        ];
    }

    public static function converters():array
    {
        return [
            "naming_rule_id" => new NamingRuleConverter(),
        ];
    }

    public static function arrayFields(): array
    {
        return [

        ];
    }
}
